# -*- encoding: utf-8 -*-
# stub: bundler_ext 0.4.2 ruby lib

Gem::Specification.new do |s|
  s.name = "bundler_ext".freeze
  s.version = "0.4.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jason Guiditta".freeze, "Mo Morsi".freeze, "Lukas Zapletal".freeze]
  s.date = "2022-10-26"
  s.description = "Simple library leveraging the Bundler Gemfile DSL to load gems already on the system and managed by the systems package manager (like yum/apt)".freeze
  s.email = ["mmorsi@redhat.com".freeze]
  s.files = [".rspec".freeze, "CHANGELOG".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "Rakefile".freeze, "lib/bundler_ext.rb".freeze, "lib/bundler_ext/gemfile.rb".freeze, "lib/bundler_ext/output.rb".freeze, "lib/bundler_ext/runtime.rb".freeze, "lib/bundler_ext/system.rb".freeze, "lib/bundler_ext/version.rb".freeze, "spec/bundler_ext/bundler_ext_spec.rb".freeze, "spec/bundler_ext/gemfile_spec.rb".freeze, "spec/bundler_ext/integration_spec.rb".freeze, "spec/bundler_ext/runtime_spec.rb".freeze, "spec/bundler_ext/system_spec.rb".freeze, "spec/fixtures/Gemfile.in".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/bundlerext/bundler_ext".freeze
  s.licenses = ["MIT".freeze]
  s.requirements = ["Install the linux_admin gem and set BEXT_ACTIVATE_VERSIONS to true to activate rpm/deb installed gems".freeze]
  s.rubygems_version = "3.3.5".freeze
  s.summary = "Load system gems via Bundler DSL".freeze
  s.test_files = [".rspec".freeze, "spec/bundler_ext/bundler_ext_spec.rb".freeze, "spec/bundler_ext/gemfile_spec.rb".freeze, "spec/bundler_ext/integration_spec.rb".freeze, "spec/bundler_ext/runtime_spec.rb".freeze, "spec/bundler_ext/system_spec.rb".freeze, "spec/fixtures/Gemfile.in".freeze, "spec/spec_helper.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 12", "< 14"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3"])
  else
    s.add_dependency(%q<bundler>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 12", "< 14"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3"])
  end
end
